cURL
curl --request GET \
--url https://api.surnex.io/v1/dataforseo/catalog/categories/{category} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.surnex.io/v1/dataforseo/catalog/categories/{category}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.surnex.io/v1/dataforseo/catalog/categories/{category}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"generated_at": "2026-02-24T00:00:00Z",
"discovery_context": {
"requested_discovery": true,
"force_refresh_requested": false,
"source": "provider",
"discovered_at": "2026-02-24T00:00:00Z",
"cache_key": "dataforseo:catalog:discovered:v1",
"cache_ttl_seconds": 900,
"cache_available": true,
"cache_hit": false,
"provider_calls": 2
},
"category": "keyword_research",
"services": [
{
"service": "keywords_data",
"category": "keyword_research",
"discovery_source": "static",
"title": "Keywords Data",
"description": "Keyword research and metrics",
"examples": [
"google",
"bing"
],
"operations": [
{
"service": "keywords_data",
"operation_path": "/keywords_data/google_ads/search_volume/live",
"path_template": "/keywords_data/{provider}/{type}/live",
"method": "POST",
"mode": "live",
"description": "Live search volume",
"discovery_source": "static"
},
{
"service": "keywords_data",
"operation_path": "/keywords_data/google_trends/explore/live",
"path_template": "/keywords_data/{type}/explore/live",
"method": "POST",
"mode": "live",
"description": "Live explore data",
"discovery_source": "static"
}
]
}
],
"total_services": 1,
"total_operations": 2,
"by_discovery_source": {
"static": 1,
"discovered": 0,
"mixed": 0
},
"limit": 100,
"offset": 0,
"returned": 1,
"has_more": false,
"next_offset": null,
"supports_custom_paths": true,
"supports_any_dataforseo_path": true
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request",
"request_id": "req_123",
"details": {
"issues": [
{
"path": [
"limit"
],
"message": "Invalid number",
"code": "invalid_type"
}
]
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"request_id": "req_123",
"details": {
"reason": "missing_or_invalid_api_key"
}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Category not found",
"request_id": "req_123",
"details": {
"category": "nonexistent"
}
}
}{
"error": {
"code": "PROVIDER_ERROR",
"message": "Failed to discover DataForSEO operations",
"request_id": "req_123",
"details": {
"category": "serp",
"provider_error": {
"code": "BAD_REQUEST",
"message": "Discovery endpoint failed"
}
}
}
}v1
Get v1dataforseocatalogcategories 1
GET
/
v1
/
dataforseo
/
catalog
/
categories
/
{category}
cURL
Authorizations
bearerAuthapiKeyAuth
Authorization: Bearer sk_...
Path Parameters
Service category used for grouping and filtering
Minimum string length:
1Query Parameters
Available options:
static, discovered, mixed Required string length:
1 - 128Required range:
x <= 250Required range:
x >= 0Response
Category-scoped DataForSEO service index with pagination and discovery/filter options.
Show child attributes
Show child attributes
Service category used for grouping and filtering
Minimum string length:
1Show child attributes
Show child attributes
Required range:
x >= 0Required range:
x >= 0Show child attributes
Show child attributes
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0⌘I